<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/12/2004 *
 * ===================                          Last change: 02/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_rewrite.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Rewrite-Engine configuration                     *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Rewrite-Engine Konfiguration                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent('save_config')) {
	// Generate string
	$MODs = array();
	foreach (postRequestElement('mod') as $mod => $sel) {
		// Now you can never deselect the admin module, bah!!! ;-)
		if (($sel == 'Y') || ($mod == 'admin')) {
			// Add module to queue
			array_push($MODs, $mod);
		} // END - if
	} // END - foreach

	// Implode array to string and remove posted mod array
	setPostRequestElement('rewrite_skip', implode(':', $MODs));
	unsetPostRequestElement('mod');

	// Save settings
	adminSaveSettingsFromPostData();
} else {
	// Explode all modules
	$MODs = explode(':', getConfig('rewrite_skip'));

	// Load existing modules and generate TR rows for the template
	$result = sqlQuery("SELECT `module`, `title` FROM `{?_MYSQL_PREFIX?}_mod_reg` ORDER BY `module` ASC", __FILE__, __LINE__);
	$OUT = '';
	while ($content = sqlFetchArray($result)) {
		// Already registered module?
		if (in_array($content['module'], $MODs)) {
			// Found
			$y = ' checked="checked"';
			$n = '';
		} else {
			// Not found
			$y = '';
			$n = ' checked="checked"';
		}

		// Remember data in array for the dynamic row template
		$content['y_default'] = $y;
		$content['n_default'] = $n;

		// Load template and switch colors
		$OUT .= loadTemplate('admin_config_rewrite_rows', TRUE, $content);
	} // END - while

	// Free memory
	sqlFreeResult($result);

	// Load main template
	loadTemplate('admin_config_rewrite', FALSE, $OUT);
}

// [EOF]
?>
